clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::FileEntryRef Class Reference

A reference to a `FileEntry` that includes the name of the file as it was accessed by the FileManager's client. More...

`#include "clang/Basic/FileManager.h"`

## Public Member Functions
| FileEntryRef ()=delete
| FileEntryRef (StringRef Name, const FileEntry &Entry)
const StringRef | getName () const
bool | isValid () const
const FileEntry & | getFileEntry () const
off_t | getSize () const
unsigned | getUID () const
const llvm::sys::fs::UniqueID & | getUniqueID () const
time_t | getModificationTime () const

## Friends
bool | operator== (const FileEntryRef &LHS, const FileEntryRef &RHS)
bool | operator!= (const FileEntryRef &LHS, const FileEntryRef &RHS)

## Detailed Description

A reference to a `FileEntry` that includes the name of the file as it was accessed by the FileManager's client.

Definition at line 130 of file FileManager.h.

## Constructor & Destructor Documentation

## ◆ FileEntryRef() [1/2]

clang::FileEntryRef::FileEntryRef | ( |  | ) |
| delete

## ◆ FileEntryRef() [2/2]

clang::FileEntryRef::FileEntryRef | ( | StringRef | Name,
|  | const FileEntry & | Entry
| ) |  |
| inline

Definition at line 133 of file FileManager.h.

## Member Function Documentation

## ◆ getFileEntry()

const FileEntry& clang::FileEntryRef::getFileEntry | ( |  | ) | const
| inline

Definition at line 140 of file FileManager.h.

Referenced by clang::SourceManager::createFileID(), and clang::CompilerInstance::InitializeSourceManager().

## ◆ getModificationTime()

time_t clang::FileEntryRef::getModificationTime | ( |  | ) | const
| inline

Definition at line 150 of file FileManager.h.

## ◆ getName()

const StringRef clang::FileEntryRef::getName | ( |  | ) | const
| inline

Definition at line 136 of file FileManager.h.

Referenced by clang::SourceManager::createFileID().

## ◆ getSize()

off_t clang::FileEntryRef::getSize | ( |  | ) | const
| inline

Definition at line 142 of file FileManager.h.

## ◆ getUID()

unsigned clang::FileEntryRef::getUID | ( |  | ) | const
| inline

Definition at line 144 of file FileManager.h.

## ◆ getUniqueID()

const llvm::sys::fs::UniqueID& clang::FileEntryRef::getUniqueID | ( |  | ) | const
| inline

Definition at line 146 of file FileManager.h.

## ◆ isValid()

bool clang::FileEntryRef::isValid | ( |  | ) | const
| inline

Definition at line 138 of file FileManager.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const FileEntryRef & | LHS,
|  | const FileEntryRef & | RHS
| ) |  |
| friend

Definition at line 155 of file FileManager.h.

## ◆ operator==

bool operator== | ( | const FileEntryRef & | LHS,
|  | const FileEntryRef & | RHS
| ) |  |
| friend

Definition at line 152 of file FileManager.h.

The documentation for this class was generated from the following file:

- include/clang/Basic/FileManager.h